Bug 847435 - Review Request: perl-X11-Protocol-Other - Miscellaneous X11::Protocol helpers
Review Request: perl-X11-Protocol-Other - Miscellaneous X11::Protocol helpers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 04:54 EDT by Robin Lee
Modified: 2014-10-16 07:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2012-08-11 04:54:17 EDT
Spec URL: http://cheeselee.fedorapeople.org/perl-X11-Protocol-Other.spec
SRPM URL: http://cheeselee.fedorapeople.org/perl-X11-Protocol-Other-18-1.fc17.src.rpm
Description: These are some helper functions for X11::Protocol.

Fedora Account System Username: cheeselee
Comment 1 Michael Scherer 2012-08-17 19:35:55 EDT
No issue seen in review ( almost the first time it happens to me ) 

So good to go, approved.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Permissions on files are set properly.
[x]: Package does not contain duplicates in %files.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/847435-perl-X11-Protocol-
     Other/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (X11-Protocol-Other-18.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: perl-X11-Protocol-Other-18-1.fc17.noarch.rpm
          perl-X11-Protocol-Other-18-1.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
perl-X11-Protocol-Other-18-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl >= 0:5.004
    perl >= 0:5.008
    perl(:MODULE_COMPAT_5.14.2)  
    perl(Carp)  
    perl(Encode)  
    perl(Encode::Encoding)  
    perl(Exporter)  
    perl(X11::AtomConstants)  
    perl(X11::Protocol)  
    perl(X11::Protocol::Other) >= 3
    perl(constant)  
    perl(strict)  
    perl(vars)  
    perl(warnings)  

Provides
--------
perl-X11-Protocol-Other-18-1.fc17.noarch.rpm:
    
    perl(Encode::X11) = 18
    perl(X11::AtomConstants) = 18
    perl(X11::CursorFont) = 18
    perl(X11::Protocol::ChooseWindow) = 18
    perl(X11::Protocol::Ext::Composite) = 18
    perl(X11::Protocol::Ext::DAMAGE) = 18
    perl(X11::Protocol::Ext::DOUBLE_BUFFER) = 18
    perl(X11::Protocol::Ext::MIT_SCREEN_SAVER) = 18
    perl(X11::Protocol::Ext::MIT_SHM) = 18
    perl(X11::Protocol::Ext::MIT_SUNDRY_NONSTANDARD) = 18
    perl(X11::Protocol::Ext::TOG_CUP) = 18
    perl(X11::Protocol::Ext::XFIXES) = 18
    perl(X11::Protocol::Ext::XFree86_DGA) = 18
    perl(X11::Protocol::Ext::XINERAMA) = 18
    perl(X11::Protocol::Ext::X_Resource) = 18
    perl(X11::Protocol::GrabServer) = 18
    perl(X11::Protocol::Other) = 18
    perl(X11::Protocol::WM) = 18
    perl(X11::Protocol::XSetRoot) = 18
    perl-X11-Protocol-Other = 18-1.fc17

MD5-sum check
-------------
http://www.cpan.org/modules/by-module/X11/X11-Protocol-Other-18.tar.gz :
  CHECKSUM(SHA256) this package     : 6ecea9978e6218c4d2113e6b81f10119d600402d9f853b5979623e574f2c449a
  CHECKSUM(SHA256) upstream package : 6ecea9978e6218c4d2113e6b81f10119d600402d9f853b5979623e574f2c449a


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 847435
External plugins:
Comment 2 Robin Lee 2012-08-18 00:03:05 EDT
New Package SCM Request
=======================
Package Name: perl-X11-Protocol-Other
Short Description: Miscellaneous X11::Protocol helpers
Owners: cheeselee
Branches: f18 f17 f16
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-08-18 11:26:51 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-08-20 10:29:10 EDT
perl-X11-Protocol-Other-18-1.fc16, shutter-0.89.1-2.fc16, perl-Net-Dropbox-API-1.8-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-12026/perl-X11-Protocol-Other-18-1.fc16,perl-Net-Dropbox-API-1.8-3.fc16,shutter-0.89.1-2.fc16
Comment 5 Fedora Update System 2012-08-21 05:47:55 EDT
Package perl-X11-Protocol-Other-18-1.fc16, shutter-0.89.1-2.fc16, perl-Net-Dropbox-API-1.8-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-X11-Protocol-Other-18-1.fc16 shutter-0.89.1-2.fc16 perl-Net-Dropbox-API-1.8-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12026/perl-X11-Protocol-Other-18-1.fc16,perl-Net-Dropbox-API-1.8-3.fc16,shutter-0.89.1-2.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-29 20:51:45 EDT
perl-X11-Protocol-Other-18-1.fc16, shutter-0.89.1-2.fc16, perl-Net-Dropbox-API-1.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Robin Lee 2014-10-16 05:48:27 EDT
Package Change Request
======================
Package Name: perl-X11-Protocol-Other
New Branches: el6 epel7
Owners: cheeselee
Comment 8 Gwyn Ciesla 2014-10-16 07:45:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.